Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] building the 1.4.1 rpm under RHEL 5
From: Dave Love (d.love_at_[hidden])
Date: 2010-01-20 09:22:28


Before I take time investigating, is anyone aware of problems/solutions
to building the rpm with gcc on current RedHat 5? Just an `rpmbuild
--rebuild' fails as follows, and I'm surprised if it's specific to here.
(I looked for a previous problem report, of course.)

  make[5]: Entering directory `/usr/src/redhat/BUILD/openmpi-1.4.1/ompi/contrib/vt/vt/vtlib'
  gcc -DHAVE_CONFIG_H -I. -I.. -I../tools/opari/lib -I../extlib/otf/otflib -I../extlib/otf/otflib -D_GNU_SOURCE -DBINDIR=\"/usr/bin\" -DDATADIR=\"/usr/share\" -DRFG -DVT_BFD -DVT_MEMHOOK -DVT_IOWRAP -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -MT vt_iowrap.o -MD -MP -MF .deps/vt_iowrap.Tpo -c -o vt_iowrap.o vt_iowrap.c
  vt_iowrap.c:1242: error: expected declaration specifiers or ‘...’ before numeric constant
  vt_iowrap.c:1243: error: conflicting types for ‘__fprintf_chk’